# $Revision: 1.14 $, $Date: 2001/12/09 02:31:30 $
Summary:	Think - Gnomified outliner
Summary(pl):	Think - gnomowy outliner
Name:		think
Version:	0.2.1
Release:	3
License:	GPL
Group:		X11/Applications
Group(de):	X11/Applikationen
Group(pl):	X11/Aplikacje
Source0:	http://primates.ximian.com/~peter/think/%{name}-%{version}.tar.gz
URL:		http://primates.ximian.com/~peter/think/
Patch0:		%{name}-desktop.in.patch
Patch1:		%{name}-am_fixes.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gnome-libs-devel
BuildRequires:	intltool
BuildRequires:	libglade-devel
BuildRequires:	libxml-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6

%description
Think is a Gnomified outliner. It doesn't do a whole lot at this
point, but can load and save outlines of text.

Think uses the Emacs outline-mode format for its files. It is a simple
format, and easily used in any text editor... I certainly don't want
to force Emacs upon everyone else. Indeed, part of the reason I'm
writing Think is so that I won't have to have Emacs running...

Tree preferences:
- tree title
- show numbering
- show priorities
- show completed items

Node preferences:
- title
- text
- action item (produces a checkbox beside the node, in the tree)..
  this can also (for large projects) be a little meter that displays the
  percentage done of a node... The percentages complete of branches are
  computed from their leaves.
- priority

Misc:
- drag & drop moving of nodes, from branch to branch
- cut & paste
- promote/demote buttons to move nodes around

%description -l pl
Think to gnomowy outliner. Niewiele na razie robi, ale moe wczytywa
i zapisywa zarysy tekstu.

Think uywa emacsowego trybu outline do jego plikw. To prosty format
i atwy w uyciu z kadym edytorem... Nie chc wmusza wszystkim
Emacsa. Co wicej, jednym z powodw dla ktrych pisz Thinka jest to,
eby nie musie uruchamia Emacsa...

Wasnoci drzewa: tytu, pokazywanie numeracji, prioritetw i rzeczy
skoczonych.

Wasnoci wza: tytu, tekst, akcja (moe by wskanikiem stopnia
ukoczenia), priorytet.

Oprcz tego: przenoszenie wzw midzy branchami metod "pocignij i
upu", obsuga "wytnij i wklej", przyciski promote/demote do
przenoszenia lici.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
sed -e s/AM_GNOME_GETTEXT/AM_GNU_GETTEXT/ configure.in > configure.in.tmp
mv -f configure.in.tmp configure.in
rm -f missing
gettextize --copy --force
libtoolize --copy --force
xml-i18n-toolize --copy --force
aclocal -I %{_aclocaldir}/gnome
autoconf
automake -a -c
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	sysdir=%{_applnkdir}/Office/PIMs

gzip -9nf ChangeLog AUTHORS NEWS README

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/*
%{_applnkdir}/Office/PIMs/*
%{_datadir}/think

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: think.spec,v $
Revision 1.14  2001/12/09 02:31:30  kloczek
- release 3,
- dicxed desktop file (added desktop.in patch),
- fixes in am suit for intltool (added intltool to BuildReqires),
- added full regenerate am/ac/lt/gt/it files.

Revision 1.13  2001/10/15 12:20:00  blues
- configure2_13 used

Revision 1.12  2001/10/11 04:51:45  kloczek
- release 2: moved desktop file to Office/PIMs.

Revision 1.11  2001/10/10 13:02:07  qboosh
- pl translations, BuildRequires: autoconf,automake

Revision 1.10  2001/06/18 00:26:44  kloczek
- added libglade-devel to BuildRequires.

Revision 1.9  2001/06/18 00:26:09  kloczek
- updated to 0.2.1.

Revision 1.8  2001/06/03 15:20:23  kloczek
- updated to 0.2,
- new URL and Source url.

Revision 1.7  2001/04/14 03:04:41  kloczek
- release 4: fix building on new gettext (added use_AM_GNU_GETTEXT patch).

Revision 1.6  2001/03/01 01:53:55  kloczek
- release 3: rebuild against gnome-libs linked with new audiofile.

Revision 1.5  2000/10/29 16:37:43  kloczek
- release 2: use new rpm automation and rebuild against gnome-libs linked
  with db3.

Revision 1.4  2000/06/09 07:55:12  kloczek
- more %%{__make} macros.

Revision 1.3  2000/06/09 07:24:00  kloczek
- added using %%{__make} macro.

Revision 1.2  2000/05/19 01:30:45  kloczek
- cosmetic.

Revision 1.1  2000/05/19 01:28:48  kloczek
- writen from scrach.
